#include<iostream>
using namespace std;

void drukuj(int i)
{ cout<<"To jest zmienna int o wartosci "<<i<<endl;}

void drukuj(double d)
{ cout<<"To jest zmienna double o wartosci "<<d<<endl;}

void drukuj(char c)
{ cout<<"To jest znak '" <<c<<"' o kodzie ASCII "<<int(c)<<endl;}

void drukuj(int i, char c)
{ cout<<"int: "<<i<<", char: "<<c<<endl;}

void drukuj(char* s)
{ cout<<"To nie jest "<<s<<endl;}

void main()
{ drukuj("fajny programik");
  drukuj(12,'t');
  drukuj('u');
  drukuj(34.6);
  drukuj(123);}